# Class CIM_J2eeJVM
extends CIM_EnabledLogicalElement

The CIM_J2eeJVM class identifies a Java VM that is utilized by a J2EE server. For each Java VM that is running threads associated with the J2EE server, its containers or resources, there must be an instance in this class. The instance must be removed when the Java VM is no longer running. The reason this class subclasses from a class as high up in the hierarchy as CIM_EnabledLogicalElement is the absence of a class that models Interpreters, Emulators and the like. The JVM is not an OS, but then neither is it just a process. In v2.9, we hope to plug this hole by introducing a class that will model interpreters and emulators. At this point, the JVM class can be pushed down in the hierarchy.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_J2eeJVM

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

The CIM_J2eeJVM class identifies a Java VM that is utilized by a J2EE server. For each Java VM that is running threads associated with the J2EE server, its containers or resources, there must be an instance in this class. The instance must be removed when the Java VM is no longer running. The reason this class subclasses from a class as high up in the hierarchy as CIM_EnabledLogicalElement is the absence of a class that models Interpreters, Emulators and the like. The JVM is not an OS, but then neither is it just a process. In v2.9, we hope to plug this hole by introducing a class that will model interpreters and emulators. At this point, the JVM class can be pushed down in the hierarchy.

UMLPackagePath | string | CIM::Application::J2eeAppServer
Version | string | 2.19.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
InstanceID | string |
Description | string | InstanceID identifies a unique instance of a J2ee JVM In order to ensure uniqueness, the value of InstanceID MUST be constructed using the form specified in JSR77.3.1.1.1 in order to avoid the need for manual key propagation.
Key | boolean | true
ModelCorrespondence | string | CIM_J2eeJVM.Name
Override | string | InstanceID
JavaVendor | string |
Description | string | The Java Runtime Environment vendor of the JVM.
MappingStrings | string | JSR77.JCP|JSR77.3.4.1.2 javaVendor|V1.0
JavaVersion | string |
Description | string | The Java Runtime Environment version of the JVM.
MappingStrings | string | JSR77.JCP|JSR77.3.4.1.1 javaVersion|V1.0
Name | string |
Description | string | The name of a J2EE JVM. The name MUST be constructed using the form specified in JSR77.3.1.1.1 in order to avoid the need for manual key propagation.
MappingStrings | string | JSR77.JCP|JSR77.3.1.1.1 objectName|V1.0
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_J2eeJVM.InstanceID
Override | string | Name
Node | string |
Description | string | The node (machine) this JVM is running on.
MappingStrings | string | JSR77.JCP|JSR77.3.4.1.3 node|V1.0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement